Skip to main content
`Ctrl`+`K`

# MatCholeskyFactor

Performs in-place Cholesky factorization of a symmetric matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCholeskyFactor(Mat mat, IS perm, const MatFactorInfo *info)

Collective

## Input Parameters

- mat - the matrix

- perm - row and column permutations

- info - expected fill as ratio of original fill

## Notes

See `MatLUFactor()` for the nonsymmetric case. See also `MatGetFactor()`, `MatCholeskyFactorSymbolic()`, and `MatCholeskyFactorNumeric()`.

Most users should employ the `KSP` interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., `KSPCreate()`.

## Developer Note

The Fortran interface is not autogenerated as the interface definition cannot be generated correctly [due to `MatFactorInfo`]

## See Also

Matrices, `Mat`, Matrix Factorization, `MatGetFactor()`, `MatFactorInfo`, `MatLUFactor()`, `MatCholeskyFactorSymbolic()`, `MatCholeskyFactorNumeric()` `MatGetOrdering()`

## Level

developer

## Location

src/mat/interface/matrix.c

## Implementations

MatCholeskyFactor_SeqDense() in src/mat/impls/dense/seq/dense.c
MatCholeskyFactor_Elemental() in src/mat/impls/elemental/matelem.cxx
MatCholeskyFactor_SeqSBAIJ() in src/mat/impls/sbaij/seq/sbaijfact.c
MatCholeskyFactor_ScaLAPACK() in src/mat/impls/scalapack/matscalapack.c
MatCholeskyFactor_HT() in src/mat/impls/transpose/htransm.c
MatCholeskyFactor_Transpose() in src/mat/impls/transpose/transm.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages